loggers=org.xbib.logging

# Root logger
logger.level=${default.log.level:INFO}
logger.handlers=CONSOLE,FILE

logger.org.xbib.logging.useParentHandlers=${logging.use.parent.handlers:true}
logger.org.xbib.logging.level=${default.log.level:INFO}

handler.CONSOLE=org.xbib.logging.handlers.ConsoleHandler
handler.CONSOLE.formatter=SIMPLE
handler.CONSOLE.properties=autoFlush,target,encoding,filter
handler.CONSOLE.autoFlush=${handler.autoFlush:true}
handler.CONSOLE.target=${handler.console.target:SYSTEM_OUT}
handler.CONSOLE.filter=${handler.console.filter:FILTER}
handler.CONSOLE.encoding=${handler.encoding:UTF-8}

handler.FILE=org.xbib.logging.handlers.FileHandler
handler.FILE.formatter=SIMPLE
handler.FILE.level=${handler.level:TRACE}
handler.FILE.properties=autoFlush,append,fileName,errorManager,encoding,filter
handler.FILE.constructorProperties=fileName,append
handler.FILE.autoFlush=${handler.autoFlush:true}
handler.FILE.append=${handler.file.append:false}
handler.FILE.fileName=build/${handler.file.fileName:test.log}
handler.FILE.encoding=${handler.encoding:UTF-8}
handler.FILE.filter=${handler.file.filter:match(".*")}
handler.FILE.errorManager=${handler.errorManager:DFT}

errorManager.DFT=org.xbib.logging.errormanager.OnlyOnceErrorManager

formatter.SIMPLE=org.xbib.logging.formatters.SimpleFormatter

filter.FILTER=org.xbib.logging.filters.AcceptAllFilter